> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/easy-convert/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Place easy convert POST https://www.okx.com/api/v5/trade/easy-convert Content-Type: application/json Convert small currencies to mainstream currencies. Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/easy-convert ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `fromCcy` (list of string, required) — Type of small payment currency convert from Maximum 5 currencies can be selected in one order. If there are multiple currencies, separate them with commas. - `toCcy` (string, required) — Type of mainstream currency convert to Only one receiving currency type can be selected in one order and cannot be the same as the small payment currencies. - `source` (enum, optional) — Funding source `1`: Trading account `2`: Funding account The default is `1`. - Allowed values: `1`, `2` ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeEasyConvertPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeEasyConvertPostResponsesContentApplicationJsonSchemaDataItems - `fromCcy` (string, optional) — Type of small payment currency convert from - `toCcy` (string, optional) — Type of mainstream currency convert to - `fillFromSz` (string, optional) — Filled amount of small payment currency convert from - `fillToSz` (string, optional) — Filled amount of mainstream currency convert to - `status` (string, optional) — Current status of easy convert `running`: Running `filled`: Filled `failed`: Failed - `acct` (string, optional) — Account where the conversion occurred. - `uTime` (string, optional) — Trade time, Unix timestamp format in milliseconds, e.g. 1597026383085 ## Examples **Request** ```json { "fromCcy": [ "ADA", "DOGE" ], "toCcy": "USDT" } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "fromCcy": "ADA", "toCcy": "OKB", "fillFromSz": "6.5807127", "fillToSz": "0.17171580105126", "status": "running", "uTime": "1661419684687" }, { "fromCcy": "USDC", "toCcy": "OKB", "fillFromSz": "2.997", "fillToSz": "0.1683755161661844", "status": "running", "uTime": "1661419684687" } ] } ``` **SDK Code** ```python trade_easyConvert_example import requests url = "https://www.okx.com/api/v5/trade/easy-convert" payload = { "fromCcy": ["ADA", "DOGE"], "toCcy": "USDT" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript trade_easyConvert_example const url = 'https://www.okx.com/api/v5/trade/easy-convert'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"fromCcy":["ADA","DOGE"],"toCcy":"USDT"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_easyConvert_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/easy-convert" payload := strings.NewReader("{\n \"fromCcy\": [\n \"ADA\",\n \"DOGE\"\n ],\n \"toCcy\": \"USDT\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_easyConvert_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/easy-convert") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"fromCcy\": [\n \"ADA\",\n \"DOGE\"\n ],\n \"toCcy\": \"USDT\"\n}" response = http.request(request) puts response.read_body ``` ```java trade_easyConvert_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/trade/easy-convert") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"fromCcy\": [\n \"ADA\",\n \"DOGE\"\n ],\n \"toCcy\": \"USDT\"\n}") .asString(); ``` ```php trade_easyConvert_example request('POST', 'https://www.okx.com/api/v5/trade/easy-convert', [ 'body' => '{ "fromCcy": [ "ADA", "DOGE" ], "toCcy": "USDT" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_easyConvert_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/easy-convert"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"fromCcy\": [\n \"ADA\",\n \"DOGE\"\n ],\n \"toCcy\": \"USDT\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift trade_easyConvert_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = [ "fromCcy": ["ADA", "DOGE"], "toCcy": "USDT" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/easy-convert")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```